MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005810ATutor- no cat -public2017-09-25 11:422018-02-20 19:47
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2.3Fixed in Version2.2.3 
Summary0005810: Error after import existing accounts
DescriptionAfter importing a course list with students that already exist, and "Add to Enroll List" is clicked, an unable to access DB error occurs.

Steps To ReproduceATutor was unable to access the database. If the problem persists, please report this to an Administrator with this date reference (09/25/2017 05:37:38 pm) (AT_ERROR_DB_QUERY)

Duplicate entry '2-1' for key 'PRIMARY'
SQL: INSERT INTO AT_course_enrollment (member_id, course_id, approved, last_cid, role) VALUES (2, 1, 'y', 0, 'Student')
TagsNo tags attached.
Affects versionSVN
SVN Revision#c2535d1..2c65f32 master -> master
Attached Files

- Relationships

-  Notes
(0007653)
greg (administrator)
2017-09-25 12:00

Error message appears on the screen that follows, after clicking Done, rather than after incorrectly click "Add to Enrolled List"
(0007778)
greg (administrator)
2018-02-20 19:47

Added check for existing enrolment before attempting to enroll, and add a few php7 updates

- Issue History
Date Modified Username Field Change
2017-09-25 11:42 greg New Issue
2017-09-25 12:00 greg Note Added: 0007653
2018-02-20 19:47 greg SVN Revision# => c2535d1..2c65f32 master -> master
2018-02-20 19:47 greg Note Added: 0007778
2018-02-20 19:47 greg Status new => resolved
2018-02-20 19:47 greg Fixed in Version => 2.2.3
2018-02-20 19:47 greg Resolution open => fixed
2018-02-20 19:47 greg Assigned To => greg


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker